version: '3'

services:
  redis:
    restart: always
    image: redis:3.0
    expose:
      - "6379"
  elasticsearch:
    image: elasticsearch:2.3
    restart: always
    expose:
      - "9200"
  app:
    environment:
      CACHE_URL: redis://redis
      ELASTICSEARCH_URL: http://elasticsearch:9200
    command: "waitress-server --port 8000 project.wsgi:application"
    links:
      - redis:redis
      - elasticsearch:elasticsearch
    depends_on:
      - redis
      - elasticsearch
